%global debug_package %{nil}

Name:           flatpak-usr
Version:        1.0.0
Release:        1%{?dist}
Summary:        Flatpak user setup

License:        CC-BY-CA
URL:            https://github.com/certifiedfoolio/chronOS-pkgs
VCS:           git+https://github.com/certifiedfoolio/chronOS-pkgs#3c9e50369bb4fa86385f1203e8d02a0570b3b30d:flatpak-usr
Source:        chronOS-pkgs-flatpak-usr-3c9e5036.tar.gz

%description
Setup Flatpak user repositories and remove flatpak system repositories

%prep
%setup -T -b 0 -q -n chronOS-pkgs-flatpak-usr

%install
mkdir -p -m0755 \
     %{buildroot}%{_sysconfdir}/systemd/
mv services %{buildroot}%{_sysconfdir}/systemd/system

%posttrans
systemctl enable flatpak-user-setup.service
systemctl enable remove-system-flathub.service
systemctl enable remove-system-flatpaks.service
systemctl enable systemsetup.service

%files
%{_sysconfdir}/systemd/system/*
